Package ghidra.app.util.bin.format.pe

# Interface PeMarkupable

All Known Implementing Classes:
  `ArchitectureDataDirectory`, `BaseRelocationDataDirectory`, `BoundImportDataDirectory`, `CliAbstractStream`, `CliAbstractTable`, `CliMetadataDirectory`, `CliMetadataRoot`, `CliStreamBlob`, `CliStreamGuid`, `CliStreamHeader`, `CliStreamMetadata`, `CliStreamStrings`, `CliStreamUserStrings`, `CliTableAssembly`, `CliTableAssemblyOS`, `CliTableAssemblyProcessor`, `CliTableAssemblyRef`, `CliTableAssemblyRefOS`, `CliTableAssemblyRefProcessor`, `CliTableClassLayout`, `CliTableConstant`, `CliTableCustomAttribute`, `CliTableDeclSecurity`, `CliTableEvent`, `CliTableEventMap`, `CliTableExportedType`, `CliTableField`, `CliTableFieldLayout`, `CliTableFieldMarshall`, `CliTableFieldRVA`, `CliTableFile`, `CliTableGenericParam`, `CliTableGenericParamConstraint`, `CliTableImplMap`, `CliTableInterfaceImpl`, `CliTableManifestResource`, `CliTableMemberRef`, `CliTableMethodDef`, `CliTableMethodImpl`, `CliTableMethodSemantics`, `CliTableMethodSpec`, `CliTableModule`, `CliTableModuleRef`, `CliTableNestedClass`, `CliTableParam`, `CliTableProperty`, `CliTablePropertyMap`, `CliTableStandAloneSig`, `CliTableTypeDef`, `CliTableTypeRef`, `CliTableTypeSpec`, `COMDescriptorDataDirectory`, `DataDirectory`, `DebugDataDirectory`, `DefaultDataDirectory`, `DelayImportDataDirectory`, `ExceptionDataDirectory`, `ExportDataDirectory`, `GlobalPointerDataDirectory`, `ImageCor20Header`, `ImportAddressTableDataDirectory`, `ImportDataDirectory`, `LoadConfigDataDirectory`, `ResourceDataDirectory`, `SecurityDataDirectory`, `TLSDataDirectory`

public interface PeMarkupable
Common interface for standardizing the markup of a PE structure.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `markup(Program program, boolean isBinary, TaskMonitor monitor, MessageLog log, NTHeader ntHeader)`
  Marks up a PE structure.

- ## Method Details

  - ### markup

    void markup(Program program, boolean isBinary, TaskMonitor monitor, MessageLog log, NTHeader ntHeader) throws DuplicateNameException, CodeUnitInsertionException, IOException, MemoryAccessException
    Marks up a PE structure.
    Parameters:
      `program` - The program to markup.
      `isBinary` - True if the program is binary; otherwise, false.
      `monitor` - The monitor.
      `log` - The log.
      `ntHeader` - The PE's NT Header structure.
    Throws:
      `DuplicateNameException`
      `CodeUnitInsertionException`
      `IOException`
      `MemoryAccessException`